Index: trunk/abdev/BasicCompiler64/BasicCompiler.vcproj
===================================================================
--- trunk/abdev/BasicCompiler64/BasicCompiler.vcproj	(revision 149)
+++ trunk/abdev/BasicCompiler64/BasicCompiler.vcproj	(revision 159)
@@ -48,5 +48,5 @@
 				Name="VCCLCompilerTool"
 				Optimization="0"
-				AdditionalIncludeDirectories="..\cpplibs\boost;..\BasicCompiler_Common\include"
+				AdditionalIncludeDirectories="..\..\jenga\include\common;..\..\cpplibs\boost;..\BasicCompiler_Common\include"
 				PreprocessorDefinitions="WIN32;_DEBUG;_WINDOWS;JPN;_AMD64_;_WIN64"
 				MinimalRebuild="true"
@@ -79,8 +79,9 @@
 				Name="VCLinkerTool"
 				AdditionalOptions="/MACHINE:AMD64"
-				AdditionalDependencies="comctl32.lib psapi.lib bufferoverflowu.lib"
+				AdditionalDependencies="comctl32.lib psapi.lib bufferoverflowu.lib commond.lib"
 				OutputFile="../ActiveBasic/BasicCompiler64.exe"
 				LinkIncremental="2"
 				SuppressStartupBanner="true"
+				AdditionalLibraryDirectories="..\..\jenga\lib\amd64"
 				IgnoreDefaultLibraryNames=""
 				GenerateDebugInformation="true"
@@ -104,203 +105,4 @@
 				SuppressStartupBanner="true"
 				OutputFile="$(OutDir)/$(ProjectName).bsc"
-			/>
-			<Tool
-				Name="VCFxCopTool"
-			/>
-			<Tool
-				Name="VCAppVerifierTool"
-			/>
-			<Tool
-				Name="VCWebDeploymentTool"
-			/>
-			<Tool
-				Name="VCPostBuildEventTool"
-			/>
-		</Configuration>
-		<Configuration
-			Name="SmallDebug|Win32"
-			OutputDirectory="$(ConfigurationName)"
-			IntermediateDirectory="$(ConfigurationName)"
-			ConfigurationType="1"
-			UseOfMFC="0"
-			ATLMinimizesCRunTimeLibraryUsage="false"
-			CharacterSet="2"
-			>
-			<Tool
-				Name="VCPreBuildEventTool"
-			/>
-			<Tool
-				Name="VCCustomBuildTool"
-			/>
-			<Tool
-				Name="VCXMLDataGeneratorTool"
-			/>
-			<Tool
-				Name="VCWebServiceProxyGeneratorTool"
-			/>
-			<Tool
-				Name="VCMIDLTool"
-				PreprocessorDefinitions="_DEBUG"
-				MkTypLibCompatible="true"
-				SuppressStartupBanner="true"
-				TargetEnvironment="1"
-				TypeLibraryName=".\Debug/BasicCompiler.tlb"
-				HeaderFileName=""
-			/>
-			<Tool
-				Name="VCCLCompilerTool"
-				Optimization="2"
-				AdditionalIncludeDirectories="..\cpplibs\boost;..\BasicCompiler_Common\include"
-				PreprocessorDefinitions="WIN32NDEBUG;_WINDOWS;JPN;_AMD64_;_WIN64"
-				MinimalRebuild="false"
-				BasicRuntimeChecks="0"
-				RuntimeLibrary="1"
-				UsePrecompiledHeader="0"
-				PrecompiledHeaderFile=".\SmallDebug/BasicCompiler.pch"
-				AssemblerListingLocation=".\SmallDebug/"
-				ObjectFile=".\SmallDebug/"
-				ProgramDataBaseFileName=".\SmallDebug/"
-				BrowseInformation="0"
-				WarningLevel="3"
-				SuppressStartupBanner="true"
-				Detect64BitPortabilityProblems="true"
-				DebugInformationFormat="0"
-				CallingConvention="0"
-			/>
-			<Tool
-				Name="VCManagedResourceCompilerTool"
-			/>
-			<Tool
-				Name="VCResourceCompilerTool"
-				PreprocessorDefinitions="_DEBUG,JPN"
-				Culture="1041"
-			/>
-			<Tool
-				Name="VCPreLinkEventTool"
-			/>
-			<Tool
-				Name="VCLinkerTool"
-				AdditionalOptions="/MACHINE:AMD64"
-				AdditionalDependencies="comctl32.lib psapi.lib bufferoverflowu.lib"
-				OutputFile="../ActiveBasic/BasicCompiler64.exe"
-				LinkIncremental="2"
-				SuppressStartupBanner="true"
-				IgnoreDefaultLibraryNames=""
-				GenerateDebugInformation="false"
-				ProgramDatabaseFile=".\SmallDebug/BasicCompiler64.pdb"
-				SubSystem="2"
-				TargetMachine="0"
-			/>
-			<Tool
-				Name="VCALinkTool"
-			/>
-			<Tool
-				Name="VCManifestTool"
-				AdditionalManifestFiles="$(ProjectDir)\manifest.xml"
-				EmbedManifest="true"
-			/>
-			<Tool
-				Name="VCXDCMakeTool"
-			/>
-			<Tool
-				Name="VCBscMakeTool"
-				SuppressStartupBanner="true"
-				OutputFile="$(OutDir)/$(ProjectName).bsc"
-			/>
-			<Tool
-				Name="VCFxCopTool"
-			/>
-			<Tool
-				Name="VCAppVerifierTool"
-			/>
-			<Tool
-				Name="VCWebDeploymentTool"
-			/>
-			<Tool
-				Name="VCPostBuildEventTool"
-			/>
-		</Configuration>
-		<Configuration
-			Name="English_Rel|Win32"
-			OutputDirectory=".\English_Rel"
-			IntermediateDirectory=".\English_Rel"
-			ConfigurationType="1"
-			UseOfMFC="0"
-			ATLMinimizesCRunTimeLibraryUsage="false"
-			CharacterSet="2"
-			>
-			<Tool
-				Name="VCPreBuildEventTool"
-			/>
-			<Tool
-				Name="VCCustomBuildTool"
-			/>
-			<Tool
-				Name="VCXMLDataGeneratorTool"
-			/>
-			<Tool
-				Name="VCWebServiceProxyGeneratorTool"
-			/>
-			<Tool
-				Name="VCMIDLTool"
-				PreprocessorDefinitions="NDEBUG"
-				MkTypLibCompatible="true"
-				SuppressStartupBanner="true"
-				TargetEnvironment="1"
-				TypeLibraryName=".\English_Rel/BasicCompiler.tlb"
-				HeaderFileName=""
-			/>
-			<Tool
-				Name="VCCLCompilerTool"
-				Optimization="2"
-				InlineFunctionExpansion="1"
-				AdditionalIncludeDirectories="..\cpplibs\boost;..\BasicCompiler_Common\include"
-				PreprocessorDefinitions="WIN32;NDEBUG;_WINDOWS;ENG"
-				StringPooling="true"
-				RuntimeLibrary="0"
-				EnableFunctionLevelLinking="true"
-				UsePrecompiledHeader="0"
-				PrecompiledHeaderFile=".\English_Rel/BasicCompiler.pch"
-				AssemblerListingLocation=".\English_Rel/"
-				ObjectFile=".\English_Rel/"
-				ProgramDataBaseFileName=".\English_Rel/"
-				WarningLevel="3"
-				SuppressStartupBanner="true"
-			/>
-			<Tool
-				Name="VCManagedResourceCompilerTool"
-			/>
-			<Tool
-				Name="VCResourceCompilerTool"
-				PreprocessorDefinitions="NDEBUG,ENG"
-				Culture="1033"
-			/>
-			<Tool
-				Name="VCPreLinkEventTool"
-			/>
-			<Tool
-				Name="VCLinkerTool"
-				AdditionalDependencies="odbc32.lib odbccp32.lib comctl32.lib"
-				OutputFile="../ActiveBasic/BasicCompiler64.exe"
-				LinkIncremental="1"
-				SuppressStartupBanner="true"
-				ProgramDatabaseFile=".\English_Rel/BasicCompiler64.pdb"
-				SubSystem="2"
-				TargetMachine="1"
-			/>
-			<Tool
-				Name="VCALinkTool"
-			/>
-			<Tool
-				Name="VCManifestTool"
-				AdditionalManifestFiles="$(ProjectDir)\manifest.xml"
-			/>
-			<Tool
-				Name="VCXDCMakeTool"
-			/>
-			<Tool
-				Name="VCBscMakeTool"
-				SuppressStartupBanner="true"
-				OutputFile=".\English_Rel/BasicCompiler.bsc"
 			/>
 			<Tool
@@ -352,10 +154,10 @@
 				InlineFunctionExpansion="2"
 				FavorSizeOrSpeed="1"
-				AdditionalIncludeDirectories="..\cpplibs\boost;..\BasicCompiler_Common\include"
+				AdditionalIncludeDirectories="..\..\jenga\include\common;..\..\cpplibs\boost;..\BasicCompiler_Common\include"
 				PreprocessorDefinitions="WIN32;NDEBUG;_WINDOWS;JPN;_AMD64_;_WIN64"
 				MinimalRebuild="false"
 				ExceptionHandling="1"
 				BasicRuntimeChecks="0"
-				RuntimeLibrary="2"
+				RuntimeLibrary="0"
 				RuntimeTypeInfo="true"
 				UsePrecompiledHeader="0"
@@ -385,8 +187,9 @@
 				Name="VCLinkerTool"
 				AdditionalOptions="/MACHINE:AMD64"
-				AdditionalDependencies="comctl32.lib psapi.lib bufferoverflowu.lib"
+				AdditionalDependencies="comctl32.lib psapi.lib bufferoverflowu.lib common.lib"
 				OutputFile="../ActiveBasic/BasicCompiler64.exe"
 				LinkIncremental="1"
 				SuppressStartupBanner="true"
+				AdditionalLibraryDirectories="..\..\jenga\lib\amd64"
 				IgnoreDefaultLibraryNames="libcpmtd.lib"
 				GenerateDebugInformation="false"
@@ -482,8 +285,4 @@
 					>
 					<File
-						RelativePath="..\BasicCompiler_Common\include\logger.h"
-						>
-					</File>
-					<File
 						RelativePath="..\BasicCompiler_Common\include\Namespace.h"
 						>
@@ -516,4 +315,8 @@
 						Name="Prototype"
 						>
+						<File
+							RelativePath="..\BasicCompiler_Common\include\Class.h"
+							>
+						</File>
 						<File
 							RelativePath="..\BasicCompiler_Common\include\Member.h"
@@ -543,4 +346,12 @@
 					<File
 						RelativePath="..\BasicCompiler_Common\include\Exception.h"
+						>
+					</File>
+				</Filter>
+				<Filter
+					Name="Module"
+					>
+					<File
+						RelativePath="..\BasicCompiler_Common\include\ObjectModule.h"
 						>
 					</File>
@@ -594,20 +405,4 @@
 						Name="VCResourceCompilerTool"
 						PreprocessorDefinitions="_DEBUG;JPN;$(NoInherit)"
-					/>
-				</FileConfiguration>
-				<FileConfiguration
-					Name="SmallDebug|Win32"
-					>
-					<Tool
-						Name="VCResourceCompilerTool"
-						PreprocessorDefinitions="_DEBUG;JPN;$(NoInherit)"
-					/>
-				</FileConfiguration>
-				<FileConfiguration
-					Name="English_Rel|Win32"
-					>
-					<Tool
-						Name="VCResourceCompilerTool"
-						PreprocessorDefinitions="NDEBUG;ENG;$(NoInherit)"
 					/>
 				</FileConfiguration>
@@ -638,5 +433,19 @@
 					</FileConfiguration>
 					<FileConfiguration
-						Name="SmallDebug|Win32"
+						Name="Release|Win32"
+						>
+						<Tool
+							Name="VCCLCompilerTool"
+							PreprocessorDefinitions="WIN32;_DEBUG;_WINDOWS;_MBCS;JPN;$(NoInherit)"
+							UsePrecompiledHeader="0"
+							BrowseInformation="0"
+						/>
+					</FileConfiguration>
+				</File>
+				<File
+					RelativePath="Compile_Var.cpp"
+					>
+					<FileConfiguration
+						Name="Debug|Win32"
 						>
 						<Tool
@@ -648,13 +457,4 @@
 					</FileConfiguration>
 					<FileConfiguration
-						Name="English_Rel|Win32"
-						>
-						<Tool
-							Name="VCCLCompilerTool"
-							PreprocessorDefinitions="WIN32;NDEBUG;_WINDOWS;_MBCS;ENG;$(NoInherit)"
-							UsePrecompiledHeader="0"
-						/>
-					</FileConfiguration>
-					<FileConfiguration
 						Name="Release|Win32"
 						>
@@ -668,5 +468,5 @@
 				</File>
 				<File
-					RelativePath="Compile_Var.cpp"
+					RelativePath="MakePeHdr.cpp"
 					>
 					<FileConfiguration
@@ -681,5 +481,19 @@
 					</FileConfiguration>
 					<FileConfiguration
-						Name="SmallDebug|Win32"
+						Name="Release|Win32"
+						>
+						<Tool
+							Name="VCCLCompilerTool"
+							PreprocessorDefinitions="WIN32;_DEBUG;_WINDOWS;_MBCS;JPN;$(NoInherit)"
+							UsePrecompiledHeader="0"
+							BrowseInformation="0"
+						/>
+					</FileConfiguration>
+				</File>
+				<File
+					RelativePath="Register.cpp"
+					>
+					<FileConfiguration
+						Name="Debug|Win32"
 						>
 						<Tool
@@ -691,13 +505,4 @@
 					</FileConfiguration>
 					<FileConfiguration
-						Name="English_Rel|Win32"
-						>
-						<Tool
-							Name="VCCLCompilerTool"
-							PreprocessorDefinitions="WIN32;NDEBUG;_WINDOWS;_MBCS;ENG;$(NoInherit)"
-							UsePrecompiledHeader="0"
-						/>
-					</FileConfiguration>
-					<FileConfiguration
 						Name="Release|Win32"
 						>
@@ -710,90 +515,4 @@
 					</FileConfiguration>
 				</File>
-				<File
-					RelativePath="MakePeHdr.cpp"
-					>
-					<FileConfiguration
-						Name="Debug|Win32"
-						>
-						<Tool
-							Name="VCCLCompilerTool"
-							PreprocessorDefinitions="WIN32;_DEBUG;_WINDOWS;_MBCS;JPN;$(NoInherit)"
-							UsePrecompiledHeader="0"
-							BrowseInformation="0"
-						/>
-					</FileConfiguration>
-					<FileConfiguration
-						Name="SmallDebug|Win32"
-						>
-						<Tool
-							Name="VCCLCompilerTool"
-							PreprocessorDefinitions="WIN32;_DEBUG;_WINDOWS;_MBCS;JPN;$(NoInherit)"
-							UsePrecompiledHeader="0"
-							BrowseInformation="0"
-						/>
-					</FileConfiguration>
-					<FileConfiguration
-						Name="English_Rel|Win32"
-						>
-						<Tool
-							Name="VCCLCompilerTool"
-							PreprocessorDefinitions="WIN32;NDEBUG;_WINDOWS;_MBCS;ENG;$(NoInherit)"
-							UsePrecompiledHeader="0"
-						/>
-					</FileConfiguration>
-					<FileConfiguration
-						Name="Release|Win32"
-						>
-						<Tool
-							Name="VCCLCompilerTool"
-							PreprocessorDefinitions="WIN32;_DEBUG;_WINDOWS;_MBCS;JPN;$(NoInherit)"
-							UsePrecompiledHeader="0"
-							BrowseInformation="0"
-						/>
-					</FileConfiguration>
-				</File>
-				<File
-					RelativePath="Register.cpp"
-					>
-					<FileConfiguration
-						Name="Debug|Win32"
-						>
-						<Tool
-							Name="VCCLCompilerTool"
-							PreprocessorDefinitions="WIN32;_DEBUG;_WINDOWS;_MBCS;JPN;$(NoInherit)"
-							UsePrecompiledHeader="0"
-							BrowseInformation="0"
-						/>
-					</FileConfiguration>
-					<FileConfiguration
-						Name="SmallDebug|Win32"
-						>
-						<Tool
-							Name="VCCLCompilerTool"
-							PreprocessorDefinitions="WIN32;_DEBUG;_WINDOWS;_MBCS;JPN;$(NoInherit)"
-							UsePrecompiledHeader="0"
-							BrowseInformation="0"
-						/>
-					</FileConfiguration>
-					<FileConfiguration
-						Name="English_Rel|Win32"
-						>
-						<Tool
-							Name="VCCLCompilerTool"
-							PreprocessorDefinitions="WIN32;NDEBUG;_WINDOWS;_MBCS;ENG;$(NoInherit)"
-							UsePrecompiledHeader="0"
-						/>
-					</FileConfiguration>
-					<FileConfiguration
-						Name="Release|Win32"
-						>
-						<Tool
-							Name="VCCLCompilerTool"
-							PreprocessorDefinitions="WIN32;_DEBUG;_WINDOWS;_MBCS;JPN;$(NoInherit)"
-							UsePrecompiledHeader="0"
-							BrowseInformation="0"
-						/>
-					</FileConfiguration>
-				</File>
 				<Filter
 					Name="Calculation"
@@ -813,24 +532,4 @@
 						</FileConfiguration>
 						<FileConfiguration
-							Name="SmallDebug|Win32"
-							>
-							<Tool
-								Name="VCCLCompilerTool"
-								PreprocessorDefinitions="WIN32;_DEBUG;_WINDOWS;_MBCS;JPN;$(NoInherit)"
-								UsePrecompiledHeader="0"
-								BrowseInformation="0"
-							/>
-						</FileConfiguration>
-						<FileConfiguration
-							Name="English_Rel|Win32"
-							>
-							<Tool
-								Name="VCCLCompilerTool"
-								PreprocessorDefinitions="WIN32;NDEBUG;_WINDOWS;_MBCS;ENG;$(NoInherit)"
-								UsePrecompiledHeader="0"
-								BrowseInformation="0"
-							/>
-						</FileConfiguration>
-						<FileConfiguration
 							Name="Release|Win32"
 							>
@@ -857,23 +556,4 @@
 						</FileConfiguration>
 						<FileConfiguration
-							Name="SmallDebug|Win32"
-							>
-							<Tool
-								Name="VCCLCompilerTool"
-								PreprocessorDefinitions="WIN32;_DEBUG;_WINDOWS;_MBCS;JPN;$(NoInherit)"
-								UsePrecompiledHeader="0"
-								BrowseInformation="0"
-							/>
-						</FileConfiguration>
-						<FileConfiguration
-							Name="English_Rel|Win32"
-							>
-							<Tool
-								Name="VCCLCompilerTool"
-								PreprocessorDefinitions="WIN32;NDEBUG;_WINDOWS;_MBCS;ENG;$(NoInherit)"
-								UsePrecompiledHeader="0"
-							/>
-						</FileConfiguration>
-						<FileConfiguration
 							Name="Release|Win32"
 							>
@@ -900,23 +580,4 @@
 						</FileConfiguration>
 						<FileConfiguration
-							Name="SmallDebug|Win32"
-							>
-							<Tool
-								Name="VCCLCompilerTool"
-								PreprocessorDefinitions="WIN32;_DEBUG;_WINDOWS;_MBCS;JPN;$(NoInherit)"
-								UsePrecompiledHeader="0"
-								BrowseInformation="0"
-							/>
-						</FileConfiguration>
-						<FileConfiguration
-							Name="English_Rel|Win32"
-							>
-							<Tool
-								Name="VCCLCompilerTool"
-								PreprocessorDefinitions="WIN32;NDEBUG;_WINDOWS;_MBCS;ENG;$(NoInherit)"
-								UsePrecompiledHeader="0"
-							/>
-						</FileConfiguration>
-						<FileConfiguration
 							Name="Release|Win32"
 							>
@@ -947,23 +608,4 @@
 						</FileConfiguration>
 						<FileConfiguration
-							Name="SmallDebug|Win32"
-							>
-							<Tool
-								Name="VCCLCompilerTool"
-								PreprocessorDefinitions="WIN32;_DEBUG;_WINDOWS;_MBCS;JPN;$(NoInherit)"
-								UsePrecompiledHeader="0"
-								BrowseInformation="0"
-							/>
-						</FileConfiguration>
-						<FileConfiguration
-							Name="English_Rel|Win32"
-							>
-							<Tool
-								Name="VCCLCompilerTool"
-								PreprocessorDefinitions="WIN32;NDEBUG;_WINDOWS;_MBCS;ENG;$(NoInherit)"
-								UsePrecompiledHeader="0"
-							/>
-						</FileConfiguration>
-						<FileConfiguration
 							Name="Release|Win32"
 							>
@@ -990,23 +632,4 @@
 						</FileConfiguration>
 						<FileConfiguration
-							Name="SmallDebug|Win32"
-							>
-							<Tool
-								Name="VCCLCompilerTool"
-								PreprocessorDefinitions="WIN32;_DEBUG;_WINDOWS;_MBCS;JPN;$(NoInherit)"
-								UsePrecompiledHeader="0"
-								BrowseInformation="0"
-							/>
-						</FileConfiguration>
-						<FileConfiguration
-							Name="English_Rel|Win32"
-							>
-							<Tool
-								Name="VCCLCompilerTool"
-								PreprocessorDefinitions="WIN32;NDEBUG;_WINDOWS;_MBCS;ENG;$(NoInherit)"
-								UsePrecompiledHeader="0"
-							/>
-						</FileConfiguration>
-						<FileConfiguration
 							Name="Release|Win32"
 							>
@@ -1033,23 +656,4 @@
 						</FileConfiguration>
 						<FileConfiguration
-							Name="SmallDebug|Win32"
-							>
-							<Tool
-								Name="VCCLCompilerTool"
-								PreprocessorDefinitions="WIN32;_DEBUG;_WINDOWS;_MBCS;JPN;$(NoInherit)"
-								UsePrecompiledHeader="0"
-								BrowseInformation="0"
-							/>
-						</FileConfiguration>
-						<FileConfiguration
-							Name="English_Rel|Win32"
-							>
-							<Tool
-								Name="VCCLCompilerTool"
-								PreprocessorDefinitions="WIN32;NDEBUG;_WINDOWS;_MBCS;ENG;$(NoInherit)"
-								UsePrecompiledHeader="0"
-							/>
-						</FileConfiguration>
-						<FileConfiguration
 							Name="Release|Win32"
 							>
@@ -1076,23 +680,4 @@
 						</FileConfiguration>
 						<FileConfiguration
-							Name="SmallDebug|Win32"
-							>
-							<Tool
-								Name="VCCLCompilerTool"
-								PreprocessorDefinitions="WIN32;_DEBUG;_WINDOWS;_MBCS;JPN;$(NoInherit)"
-								UsePrecompiledHeader="0"
-								BrowseInformation="0"
-							/>
-						</FileConfiguration>
-						<FileConfiguration
-							Name="English_Rel|Win32"
-							>
-							<Tool
-								Name="VCCLCompilerTool"
-								PreprocessorDefinitions="WIN32;NDEBUG;_WINDOWS;_MBCS;ENG;$(NoInherit)"
-								UsePrecompiledHeader="0"
-							/>
-						</FileConfiguration>
-						<FileConfiguration
 							Name="Release|Win32"
 							>
@@ -1119,23 +704,4 @@
 						</FileConfiguration>
 						<FileConfiguration
-							Name="SmallDebug|Win32"
-							>
-							<Tool
-								Name="VCCLCompilerTool"
-								PreprocessorDefinitions="WIN32;_DEBUG;_WINDOWS;_MBCS;JPN;$(NoInherit)"
-								UsePrecompiledHeader="0"
-								BrowseInformation="0"
-							/>
-						</FileConfiguration>
-						<FileConfiguration
-							Name="English_Rel|Win32"
-							>
-							<Tool
-								Name="VCCLCompilerTool"
-								PreprocessorDefinitions="WIN32;NDEBUG;_WINDOWS;_MBCS;ENG;$(NoInherit)"
-								UsePrecompiledHeader="0"
-							/>
-						</FileConfiguration>
-						<FileConfiguration
 							Name="Release|Win32"
 							>
@@ -1178,23 +744,4 @@
 						</FileConfiguration>
 						<FileConfiguration
-							Name="SmallDebug|Win32"
-							>
-							<Tool
-								Name="VCCLCompilerTool"
-								PreprocessorDefinitions="WIN32;_DEBUG;_WINDOWS;_MBCS;JPN;$(NoInherit)"
-								UsePrecompiledHeader="0"
-								BrowseInformation="0"
-							/>
-						</FileConfiguration>
-						<FileConfiguration
-							Name="English_Rel|Win32"
-							>
-							<Tool
-								Name="VCCLCompilerTool"
-								PreprocessorDefinitions="WIN32;NDEBUG;_WINDOWS;_MBCS;ENG;$(NoInherit)"
-								UsePrecompiledHeader="0"
-							/>
-						</FileConfiguration>
-						<FileConfiguration
 							Name="Release|Win32"
 							>
@@ -1237,23 +784,4 @@
 						</FileConfiguration>
 						<FileConfiguration
-							Name="SmallDebug|Win32"
-							>
-							<Tool
-								Name="VCCLCompilerTool"
-								PreprocessorDefinitions="WIN32;_DEBUG;_WINDOWS;_MBCS;JPN;$(NoInherit)"
-								UsePrecompiledHeader="0"
-								BrowseInformation="0"
-							/>
-						</FileConfiguration>
-						<FileConfiguration
-							Name="English_Rel|Win32"
-							>
-							<Tool
-								Name="VCCLCompilerTool"
-								PreprocessorDefinitions="WIN32;NDEBUG;_WINDOWS;_MBCS;ENG;$(NoInherit)"
-								UsePrecompiledHeader="0"
-							/>
-						</FileConfiguration>
-						<FileConfiguration
 							Name="Release|Win32"
 							>
@@ -1277,23 +805,4 @@
 								UsePrecompiledHeader="0"
 								BrowseInformation="0"
-							/>
-						</FileConfiguration>
-						<FileConfiguration
-							Name="SmallDebug|Win32"
-							>
-							<Tool
-								Name="VCCLCompilerTool"
-								PreprocessorDefinitions="WIN32;_DEBUG;_WINDOWS;_MBCS;JPN;$(NoInherit)"
-								UsePrecompiledHeader="0"
-								BrowseInformation="0"
-							/>
-						</FileConfiguration>
-						<FileConfiguration
-							Name="English_Rel|Win32"
-							>
-							<Tool
-								Name="VCCLCompilerTool"
-								PreprocessorDefinitions="WIN32;NDEBUG;_WINDOWS;_MBCS;ENG;$(NoInherit)"
-								UsePrecompiledHeader="0"
 							/>
 						</FileConfiguration>
@@ -1454,22 +963,4 @@
 						<FileConfiguration
 							Name="Debug|Win32"
-							>
-							<Tool
-								Name="VCCLCompilerTool"
-								ObjectFile="$(IntDir)\$(InputName)1.obj"
-								XMLDocumentationFileName="$(IntDir)\$(InputName)1.xdc"
-							/>
-						</FileConfiguration>
-						<FileConfiguration
-							Name="SmallDebug|Win32"
-							>
-							<Tool
-								Name="VCCLCompilerTool"
-								ObjectFile="$(IntDir)\$(InputName)1.obj"
-								XMLDocumentationFileName="$(IntDir)\$(InputName)1.xdc"
-							/>
-						</FileConfiguration>
-						<FileConfiguration
-							Name="English_Rel|Win32"
 							>
 							<Tool