Index: Include/api_window.sbp
===================================================================
--- Include/api_window.sbp	(revision 141)
+++ Include/api_window.sbp	(revision 160)
@@ -8,10 +8,19 @@
 ' Window API Function Names
 #ifdef UNICODE
-Const _FuncName_CreateWindowEx = "CreateWindowExW"
 Const _FuncName_CallWindowProc = "CallWindowProcW"
 Const _FuncName_CharLower = "CharLowerW"
+Const _FuncName_CharNext = "CharNextW"
+Const _FuncName_CharPrev = "CharPrevW"
 Const _FuncName_CharUpper = "CharUpperW"
+Const _FuncName_CreateAcceleratorTable = "CreateAcceleratorTableW"
+Const _FuncName_CreateWindowEx = "CreateWindowExW"
+Const _FuncName_DefDlgProc = "DefDlgProcW"
 Const _FuncName_DefWindowProc = "DefWindowProcW"
+Const _FuncName_DialogBoxIndirectParam = "DialogBoxIndirectParamW"
 Const _FuncName_DispatchMessage = "DispatchMessageW"
+Const _FuncName_DlgDirList = "DlgDirListW"
+Const _FuncName_DlgDirListComboBox = "DlgDirListComboBoxW"
+Const _FuncName_DlgDirSelectComboBoxEx = "DlgDirSelectComboBoxExW"
+Const _FuncName_DlgDirSelectEx = "DlgDirSelectExW"
 Const _FuncName_DrawText = "DrawTextW"
 Const _FuncName_DrawTextEx = "DrawTextExW"
@@ -24,4 +33,5 @@
 Const _FuncName_GetClipboardFormatName = "GetClipboardFormatNameW"
 Const _FuncName_GetDlgItemText = "GetDlgItemTextW"
+Const _FuncName_GetMonitorInfo = "GetMonitorInfoW"
 Const _FuncName_GetMenuItemInfo = "GetMenuItemInfoW"
 Const _FuncName_GetMessage = "GetMessageW"
@@ -31,4 +41,5 @@
 Const _FuncName_GetWindowText = "GetWindowTextW"
 Const _FuncName_GetWindowTextLength = "GetWindowTextLengthW"
+Const _FuncName_GetWindowModuleFileName = "GetWindowModuleFileNameW"
 Const _FuncName_InsertMenuItem = "InsertMenuItemW"
 Const _FuncName_IsCharAlpha = "IsCharAlphaW"
@@ -42,4 +53,6 @@
 Const _FuncName_LoadIcon = "LoadIconW"
 Const _FuncName_LoadImage = "LoadImageW"
+Const _FuncName_LoadString = "LoadStringW"
+Const _FuncName_MapVirtualKey = "MapVirtualKeyW"
 Const _FuncName_PeekMessage = "PeekMessageW"
 Const _FuncName_PostMessage = "PostMessageW"
@@ -54,5 +67,5 @@
 Const _FuncName_SetDlgItemText = "SetDlgItemTextW"
 Const _FuncName_SetClassLong = "SetClassLongW"
-Const _FuncName_SetClassLong = "SetClassLongW"
+Const _FuncName_SetClassLongPtr = "SetClassLongPtrW"
 Const _FuncName_SetMenuItemInfo = "SetMenuItemInfoW"
 Const _FuncName_SetProp = "SetPropW"
@@ -60,15 +73,26 @@
 Const _FuncName_SetWindowLongPtr = "SetWindowLongPtrW"
 Const _FuncName_SetWindowText = "SetWindowTextW"
+Const _FuncName_SetWindowsHookEx = "SetWindowsHookExW"
 Const _FuncName_SystemParametersInfo = "SystemParametersInfoW"
+Const _FuncName_TranslateAccelerator = "TranslateAcceleratorW"
 Const _FuncName_UnregisterClass = "UnregisterClassW"
 Const _FuncName_wsprintf = "wsprintfW"
 Const _FuncName_wvsprintf = "wvsprintfW"
 #else
-Const _FuncName_CreateWindowEx = "CreateWindowExA"
 Const _FuncName_CallWindowProc = "CallWindowProcA"
 Const _FuncName_CharLower = "CharLowerA"
+Const _FuncName_CharNext = "CharNextA"
+Const _FuncName_CharPrev = "CharPrevA"
 Const _FuncName_CharUpper = "CharUpperA"
+Const _FuncName_CreateAcceleratorTable = "CreateAcceleratorTableA"
+Const _FuncName_CreateWindowEx = "CreateWindowExA"
+Const _FuncName_DefDlgProc = "DefDlgProcA"
 Const _FuncName_DefWindowProc = "DefWindowProcA"
+Const _FuncName_DialogBoxIndirectParam = "DialogBoxIndirectParamA"
 Const _FuncName_DispatchMessage = "DispatchMessageA"
+Const _FuncName_DlgDirList = "DlgDirListA"
+Const _FuncName_DlgDirListComboBox = "DlgDirListComboBoxA"
+Const _FuncName_DlgDirSelectComboBoxEx = "DlgDirSelectComboBoxExA"
+Const _FuncName_DlgDirSelectEx = "DlgDirSelectExA"
 Const _FuncName_DrawText = "DrawTextA"
 Const _FuncName_DrawTextEx = "DrawTextExA"
@@ -83,4 +107,5 @@
 Const _FuncName_GetMenuItemInfo = "GetMenuItemInfoA"
 Const _FuncName_GetMessage = "GetMessageA"
+Const _FuncName_GetMonitorInfo = "GetMonitorInfoA"
 Const _FuncName_GetProp = "GetPropA"
 Const _FuncName_GetWindowLong = "GetWindowLongA"
@@ -88,4 +113,5 @@
 Const _FuncName_GetWindowText = "GetWindowTextA"
 Const _FuncName_GetWindowTextLength = "GetWindowTextLengthA"
+Const _FuncName_GetWindowModuleFileName = "GetWindowModuleFileNameA"
 Const _FuncName_InsertMenuItem = "InsertMenuItemA"
 Const _FuncName_IsCharAlpha = "IsCharAlphaA"
@@ -99,4 +125,6 @@
 Const _FuncName_LoadIcon = "LoadIconA"
 Const _FuncName_LoadImage = "LoadImageA"
+Const _FuncName_LoadString = "LoadStringA"
+Const _FuncName_MapVirtualKey = "MapVirtualKeyA"
 Const _FuncName_PeekMessage = "PeekMessageA"
 Const _FuncName_PostMessage = "PostMessageA"
@@ -116,6 +144,8 @@
 Const _FuncName_SetWindowLong = "SetWindowLongA"
 Const _FuncName_SetWindowLongPtr = "SetWindowLongPtrA"
+Const _FuncName_SetWindowsHookEx = "SetWindowsHookExA"
 Const _FuncName_SetWindowText = "SetWindowTextA"
 Const _FuncName_SystemParametersInfo = "SystemParametersInfoA"
+Const _FuncName_TranslateAccelerator = "TranslateAcceleratorA"
 Const _FuncName_UnregisterClass = "UnregisterClassA"
 Const _FuncName_wsprintf = "wsprintfA"
@@ -123,6 +153,6 @@
 #endif
 
-Const CREATEPROCESS_MANIFEST_RESOURCE_ID = 1
-
+Type _System_DeclareHandle_HDWP:unused As DWord:End Type
+TypeDef HDWP = *_System_DeclareHandle_HDWP
 
 Type MSG
@@ -135,10 +165,41 @@
 End Type
 
-
-Const MAKEINTRESOURCEW(i) = i As PCWSTR
-Const MAKEINTRESOURCEA(i) = i As PCSTR
-Const MAKEINTRESOURCE(i) = i As PCTSTR
-
-TypeDef WNDENUMPROC = *Function(ByVal hwnd As HWND, ByVal lParam As LPARAM) As BOOL
+Const IS_INTRESOURCE(_r) = ((((_r) As ULONG_PTR) >> 16) = 0)
+Const MAKEINTRESOURCEW(i) = ((((i) As Word) As ULONG_PTR) As PCWSTR)
+Const MAKEINTRESOURCEA(i) = ((((i) As Word) As ULONG_PTR) As PCSTR)
+Const MAKEINTRESOURCE(i) = ((((i) As Word) As ULONG_PTR) As PCTSTR)
+
+Const RT_CURSOR = MAKEINTRESOURCE(1)
+Const RT_BITMAP = MAKEINTRESOURCE(2)
+Const RT_ICON = MAKEINTRESOURCE(3)
+Const RT_MENU = MAKEINTRESOURCE(4)
+Const RT_DIALOG = MAKEINTRESOURCE(5)
+Const RT_STRING = MAKEINTRESOURCE(6)
+Const RT_FONTDIR = MAKEINTRESOURCE(7)
+Const RT_FONT = MAKEINTRESOURCE(8)
+Const RT_ACCELERATOR = MAKEINTRESOURCE(9)
+Const RT_RCDATA = MAKEINTRESOURCE(10)
+Const RT_MESSAGETABLE = MAKEINTRESOURCE(11)
+
+Const DIFFERENCE = 11
+Const RT_GROUP_CURSOR = MAKEINTRESOURCE((RT_CURSOR) As ULONG_PTR + DIFFERENCE)
+Const RT_GROUP_ICON = MAKEINTRESOURCE((RT_ICON) As ULONG_PTR + DIFFERENCE)
+Const RT_VERSION = MAKEINTRESOURCE(16)
+Const RT_DLGINCLUDE = MAKEINTRESOURCE(17)
+Const RT_PLUGPLAY = MAKEINTRESOURCE(19)
+Const RT_VXD = MAKEINTRESOURCE(20)
+Const RT_ANICURSOR = MAKEINTRESOURCE(21)
+Const RT_ANIICON = MAKEINTRESOURCE(22)
+Const RT_HTML = MAKEINTRESOURCE(23)
+Const RT_MANIFEST = MAKEINTRESOURCE(24)
+Const CREATEPROCESS_MANIFEST_RESOURCE_ID = MAKEINTRESOURCE(1)
+Const ISOLATIONAWARE_MANIFEST_RESOURCE_ID = MAKEINTRESOURCE(2)
+Const ISOLATIONAWARE_NOSTATICIMPORT_MANIFEST_RESOURCE_ID = MAKEINTRESOURCE(3)
+Const MINIMUM_RESERVED_MANIFEST_RESOURCE_ID = MAKEINTRESOURCE(1)
+Const MAXIMUM_RESERVED_MANIFEST_RESOURCE_ID = MAKEINTRESOURCE(16)
+
+TypeDef WNDENUMPROC = *Function(hwnd As HWND, lParam As LPARAM) As BOOL
+TypeDef HOOKPROC = *Function(code As Long, wParam As WPARAM, lParam As LPARAM) As LRESULT
+TypeDef MONITORENUMPROC = *Function(hm As HMONITOR, hdc As HDC, ByRef rc As RECT, dwData As LPARAM) As BOOL
 
 Const CS_VREDRAW =         &H0001
@@ -373,11 +434,18 @@
 
 Declare Function BringWindowToTop Lib "user32" (hWnd As HWND) As Long
+Declare Function CallNextHookEx Lib "user32" (hHook As HHOOK, nCode As Long, wParam As WPARAM, lParam As LPARAM) As LRESULT
 Declare Function CallWindowProc Lib "user32" Alias _FuncName_CallWindowProc (lpPrevWndFunc As WNDPROC, hWnd As HWND, Msg As DWord, wParam As WPARAM, lParam As LPARAM) As LRESULT
+Declare Function ChangeClipboardChain Lib "user32" (hwndRemove As HWND, hwndNewNext As HWND) As BOOL
 Declare Function CharLower Lib "user32" Alias _FuncName_CharLower (psz As PTSTR) As DWord
+Declare Function CharNext Lib "user32" Alias _FuncName_CharNext (lpszCurrent As LPCTSTR) As LPTSTR
+Declare Function CharNextExA Lib "user32" (CodePage As Word, lpCurrentChar As LPCSTR, dwFlags As DWord) As LPSTR
+Declare Function CharPrev Lib "user32" Alias _FuncName_CharPrev (lpszStart As LPCTSTR, lpszCurrent As LPCTSTR) As LPTSTR
+Declare Function CharPrevExA Lib "user32" (CodePage As Word, lpStart As LPCSTR, lpCurrentChar As LPCSTR, dwFlags As DWord) As LPSTR
 Declare Function CharUpper Lib "user32" Alias _FuncName_CharUpper (psz As PTSTR) As DWord
 Declare Function CheckMenuItem Lib "user32" (hMenu As HMENU, uIDCheckItem As DWord, uCheck As DWord) As DWord
 Declare Function CheckMenuRadioItem Lib "user32" (hMenu As HMENU, idFirst As DWord, idLast As DWord, idCheck As DWord, uFlags As DWord) As BOOL
+Declare Function CheckDlgButton Lib "user32" (hDlg As HWND, nIDButton As Long, uCheck As DWord) As BOOL
+Declare Function CheckRadioButton Lib "user32" (hDlg As HWND, nIDFirstButton As Long, nIDLastButton As Long, nIDCheckButton As Long) As BOOL
 Declare Function ChildWindowFromPoint Lib "user32" (hWndParent As HWND, x As Long, y As Long) As HWND
-
 Const CWP_ALL =             &H0000
 Const CWP_SKIPINVISIBLE =   &H0001
@@ -392,4 +460,15 @@
 Declare Function CopyImage Lib "user32" (hImage As HANDLE, uType As DWord, cxDesired As Long, cyDesired As Long, fuFlags As DWord) As HANDLE
 Declare Function CountClipboardFormats Lib "user32" () As Long
+Const FVIRTKEY = &H01
+Const FNOINVERT = &H02
+Const FSHIFT = &H04
+Const FCONTROL = &H08
+Const FALT = &H10
+Type ACCEL
+	fVirt As Byte
+	key As Word
+	cmd As Word
+End Type
+Declare Function CreateAcceleratorTable Lib "user32" Alias _FuncName_CreateAcceleratorTable (ByRef acl As ACCEL, i As Long) As HACCEL
 Declare Function CreateCaret Lib "user32" (hWnd As HWND, hBitmap As HBITMAP, nWidth As Long, nHeight As Long) As BOOL
 Declare Function CreateCursor Lib "user32" (hInst As HINSTANCE, xHotSpot As Long, yHotSpot As Long, nWidth As Long, nHeight As Long, pvANDPlane As VoidPtr, pvXORPlane As VoidPtr) As HCURSOR
@@ -411,6 +490,8 @@
 Declare Function CreateWindowEx Lib "user32" Alias _FuncName_CreateWindowEx (dwExStyle As DWord, pClassName As PCTSTR, lpWindowName As PCTSTR, dwStyle As DWord, x As Long, y As Long, nWidth As Long, nHeight As Long, hwndParent As HWND, hmenu As HMENU, hInstance As HINSTANCE, pParm As VoidPtr) As HWND
 
+Declare Function DefDlgProc Lib "user32" Alias _FuncName_DefWindowProc (hDlg As HWND, Msg As DWord, wParam As WPARAM, lParam As LPARAM) As LRESULT
 Declare Function DefWindowProc Lib "user32" Alias _FuncName_DefWindowProc (hWnd As HWND, wMsg As DWord, wParam As WPARAM, lParam As LPARAM) As LRESULT
 Declare Function DeleteMenu Lib "user32" (hMenu As HMENU, uPosition As DWord, uFlags As DWord) As BOOL
+Declare Function DestroyAcceleratorTable Lib "user32" (hAccel As HACCEL) As BOOL
 Declare Function DestroyCaret Lib "user32" () As BOOL
 Declare Function DestroyCursor Lib "user32" (hCursor As HCURSOR) As BOOL
@@ -418,6 +499,28 @@
 Declare Function DestroyMenu Lib "user32" (hMenu As HMENU) As BOOL
 Declare Function DestroyWindow Lib "user32" (hWnd As HWND) As BOOL
+Type DLGITEMTEMPLATE
+	style As DWord
+	dwExtendedStyle As DWord
+	x As Integer
+	y As Integer
+	cx As Integer
+	cy As Integer
+	id As Word
+End Type
+Type DLGTEMPLATE
+	style As DWord
+	dwExtendedStyle As DWord
+	cdit As Word
+	x As Integer
+	y As Integer
+	cx As Integer
+	cy As Integer
+End Type
+Declare Function DialogBoxIndirectParam Lib "user32" Alias _FuncName_DialogBoxIndirectParam (hInstance As HINSTANCE, DialogTemplate As *DLGTEMPLATE, hwndParent As HWND, pDialogFunc As DLGPROC, InitParam As LPARAM) As LONG_PTR
 Declare Function DispatchMessage Lib "user32" Alias _FuncName_DispatchMessage (ByRef Msg As MSG) As LRESULT
-
+Declare Function DlgDirList Lib "user32" Alias _FuncName_DlgDirList (hDlg As HWND, lpPathSpec As LPTSTR, nIDListBox As Long, nIDStaticPath As Long, uFileType As DWord) As Long
+Declare Function DlgDirListComboBox Lib "user32" Alias _FuncName_DlgDirListComboBox (hDlg As HWND, lpPathSpec As LPTSTR, nIDComboBox As Long, nIDStaticPath As Long,uFileType As DWord) As Long
+Declare Function DlgDirSelectComboBoxEx Lib "user32" Alias _FuncName_DlgDirSelectComboBoxEx (hDlg As HWND, lpString As LPTSTR, nCount As Long, nIDComboBox As Long) As BOOL
+Declare Function DlgDirSelectEx Lib "user32" Alias _FuncName_DlgDirSelectEx (hDlg As HWND, lpString As LPTSTR, nCount As Long, nIDListBox As Long) As BOOL
 Const BDR_RAISEDOUTER = &H0001
 Const BDR_SUNKENOUTER = &H0002
@@ -545,13 +648,30 @@
 
 Declare Function EnableWindow Lib "user32" (hWnd As HWND, bEnable As BOOL) As BOOL
+Declare Function EndDialogAPI Lib "user32" Alias "EndDialog" (hwndDlg As HWND, nRet As Long) As BOOL
 Declare Function EndPaint Lib "user32" (hWnd As HWND, ByRef lpPaint As PAINTSTRUCT) As BOOL
 Declare Function EnumClipboardFormats Lib "user32" (uFormat As DWord) As DWord
 Declare Function EnumChildWindows Lib "user32" (hwndParent As HWND, pEnumFunc As WNDENUMPROC, lParam As LPARAM) As BOOL
+Declare Function EnumDisplayMonitors Lib "user32.dll" (ByVal hdc As HDC, lprcClip As *RECT, ByVal lpfnEnum As MONITORENUMPROC, dwData As LPARAM) As BOOL
 Declare Function EnumThreadWindows Lib "user32" (dwThreadId As DWord, pEnumFunc As WNDENUMPROC, lParam As LPARAM) As BOOL
 Declare Function EnumWindows Lib "user32" (pEnumFunc As WNDENUMPROC, lParam As LPARAM) As BOOL
+Declare Function ExitWindowsEx Lib "user32" (uFlags As DWord, dwReserved As DWord) As BOOL
 Declare Function FillRect Lib "user32" (hdc As HDC, ByRef lpRect As RECT, hBrush As HBRUSH) As BOOL
 Declare Function FindWindow Lib "user32" Alias _FuncName_FindWindow (pClassName As PCTSTR, lpWindowName As PCTSTR) As HWND
 Declare Function FindWindowEx Lib "user32" Alias _FuncName_FindWindowEx (hwndParent As HWND, hwndChildAfter As HWND, pszClass As PCTSTR, pszWindow As PCTSTR) As HWND
 Declare Function FlashWindow Lib "user32" (hWnd As HWND, bInvert As BOOL) As BOOL
+Const FLASHW_STOP = 0
+Const FLASHW_CAPTION = 1
+Const FLASHW_TRAY = 2
+Const FLASHW_ALL = (FLASHW_CAPTION Or FLASHW_TRAY)
+Const FLASHW_TIMER = 4
+Const FLASHW_TIMERNOFG = 12
+Type FLASHWINFO
+	cbSize As DWord
+	hWnd As HWND
+	dwFlags As DWord
+	uCount As DWord
+	dwTimeout As DWord
+End Type
+Declare Function FlashWindowEx Lib "user32" (ByRef fwi As FLASHWINFO) As Long
 Declare Function FrameRect Lib "user32" (hdc As HDC, ByRef lpRect As RECT, hBrush As HBRUSH) As Long
 Declare Function GetActiveWindow Lib "user32" () As HWND
@@ -584,4 +704,6 @@
 Declare Function GetClipboardData Lib "user32" (uFormat As DWord) As HANDLE
 Declare Function GetClipboardFormatName Lib "user32" Alias _FuncName_GetClipboardFormatName (uFormat As DWord, pszFormatName As PTSTR, cchMaxCount As Long) As BOOL
+Declare Function GetClipboardOwner Lib "user32" () As HWND
+Declare Function GetClipboardViewer Lib "user32" () As HWND
 Declare Function GetClipCursor Lib "user32" (ByRef lpRect As RECT) As BOOL
 Declare Function GetCursor Lib "user32" () As HCURSOR
@@ -604,6 +726,8 @@
 
 Declare Function GetDesktopWindow Lib "user32" () As HWND
+Declare Function GetDialogBaseUnits Lib "user32" () As Long
 Declare Function GetDlgCtrlID Lib "user32" (hWnd As HWND) As Long
 Declare Function GetDlgItem Lib "user32" (hDlg As HWND, nIDDlgItem As Long) As HWND
+Declare Function GetDlgItemInt Lib "user32" (hDlg As HWND, nIDDlgItem As Long, lpTranslated As *BOOL, bSigned As BOOL) As DWord
 Declare Function GetDlgItemText Lib "user32" Alias _FuncName_GetDlgItemText (hDlg As HWND, nIDDlgItem As Long, pString As PTSTR, nMaxCount As Long) As Long
 Declare Function GetDoubleClickTime Lib "user32" () As DWord
@@ -613,4 +737,5 @@
 Declare Function GetKeyboardState Lib "user32" (lpKeyState As *Byte) As BOOL
 Declare Function GetKeyState Lib "user32" (nVirtKey As Long) As Integer
+Declare Function GetListBoxInfo Lib "user32" (ByVal hwnd As HWND) As DWord
 Declare Function GetMenu Lib "user32" (hWnd As HWND) As HMENU
 
@@ -624,5 +749,31 @@
 Declare Function GetMenuItemInfo Lib "user32" Alias _FuncName_GetMenuItemInfo (hMenu As HMENU, uItem As DWord, fByPosition As DWord, ByRef mii As MENUITEMINFO) As BOOL
 Declare Function GetMessage Lib "user32" Alias _FuncName_GetMessage (ByRef Msg As MSG, hWnd As HWND, wMsgFilterMin As DWord, wMsgFilterMax As DWord) As Long
+Const CCHDEVICENAME = 32
+Type MONITORINFO
+	cbSize As DWord
+	rcMonitor As RECT
+	rcWork As RECT
+	dwFlags As DWord
+End Type
+Type MONITORINFOEXA
+	cbSize As DWord
+	rcMonitor As RECT
+	rcWork As RECT
+	dwFlags As DWord
+	szDevice[ELM(CCHDEVICENAME)] As SByte
+End Type
+Type MONITORINFOEXW
+	cbSize As DWord
+	rcMonitor As RECT
+	rcWork As RECT
+	dwFlags As DWord
+	szDevice[ELM(CCHDEVICENAME)] As WCHAR
+End Type
+Declare Function GetMonitorInfo Lib "user32.dll" Alias _FuncName_GetMonitorInfo (hMonitor As HMONITOR, ByRef mi As Any /*MONITORINFO*/) As BOOL
+Declare Function GetNextDlgGroupItem Lib "user32" (hDlg As HWND, hCtl As HWND, bPrevious As BOOL) As HWND
+Declare Function GetNextDlgTabItem Lib "user32" (hDlg As HWND, hCtl As HWND, bPrevious As BOOL) As HWND
+Declare Function GetOpenClipboardWindow Lib "user32" () As HWND
 Declare Function GetParent Lib "user32" (hWnd As HWND) As HWND
+Declare Function GetPriorityClipboardFormat Lib "user32" (lpFormatList As *DWord, FormatNum As Long) As Long
 Declare Function GetProp Lib "user32" Alias _FuncName_GetProp (hWnd As HWND, pString As PCTSTR) As HANDLE
 Declare Function GetScrollInfo Lib "user32" (hWnd As HWND, fnBar As Long, ByRef lpsi As SCROLLINFO) As BOOL
@@ -787,4 +938,5 @@
 Declare Function GetWindowLongPtr Lib "user32" Alias _FuncName_GetWindowLong (hWnd As HWND, nIndex As Long) As LONG_PTR
 #endif
+Declare Function GetWindowModuleFileName Lib "user32" Alias _FuncName_GetWindowModuleFileName (hwnd As HWND, pszFileName As LPTSTR, cchFileNameMax As DWord) As DWord
 
 Const WPF_SETMINPOSITION =     &H0001
@@ -815,5 +967,7 @@
 Declare Function IsCharUpper Lib "user32" Alias _FuncName_IsCharUpper (ch As TCHAR) As BOOL
 Declare Function IsChild Lib "user32" (hWndParent As HWND, hWnd As HWND) As BOOL
+Declare Function IsClipboardFormatAvailable Lib "user32" (ByVal wFormat As DWord) As BOOL
 Declare Function IsDialogMessage Lib "user32" Alias _FuncName_IsDialogMessage (hDlg As HWND, ByRef msg As MSG) As BOOL
+Declare Function IsDlgButtonChecked Lib "user32" (hDlg As HWND, nIDButton As Long) As DWord
 Declare Function IsIconic Lib "user32" (hWnd As HWND) As BOOL
 Declare Function IsWindow Lib "user32" (hWnd As HWND) As BOOL
@@ -876,6 +1030,7 @@
 Const LR_SHARED =           &H8000
 Declare Function LoadImage Lib "user32" Alias _FuncName_LoadImage (hinst As HINSTANCE, pszName As PCTSTR, dwImageType As DWord, cxDesired As Long, cyDesired As Long, dwFlags As DWord) As HANDLE
-
+Declare Function LoadString Lib "user32" Alias _FuncName_LoadString (hInstance As HINSTANCE, uID As DWord, lpBuffer As LPTSTR, nBufferMax As Long) As Long
 Declare Function LockWindowUpdate Lib "user32" (hWnd As HWND) As BOOL
+Declare Function MapVirtualKey Lib "user32" Alias _FuncName_MapVirtualKey (wCode As DWord, wMapType As DWord) As DWord
 Declare Function MapWindowPoints Lib "user32" (
 	hWndFrom As HWND,
@@ -945,4 +1100,5 @@
 Declare Sub PostQuitMessage Lib "user32" (nExitCode As Long)
 Declare Function PostThreadMessage Lib "user32" Alias _FuncName_PostThreadMessage (idThread As DWord, Msg As DWord, wParam As WPARAM, lParam As LPARAM) As BOOL
+Declare Function RealChildWindowFromPoint Lib "user32" (hwndParent As HWND, xPoint As Long, yPoint As Long) As HWND
 
 Const RDW_INVALIDATE =        &H0001
@@ -962,4 +1118,5 @@
 Declare Function RegisterClassEx Lib "user32" Alias _FuncName_RegisterClassEx (ByRef wcx As WNDCLASSEX) As ATOM
 Declare Function RegisterClipboardFormat Lib "user32" Alias _FuncName_RegisterClipboardFormat (pszFormat As PCTSTR) As DWord
+Declare Function RegisterHotKey lib "user32.dll" (hwnd As HWND, id As Long, dwModufuers As DWord, vk As DWord) As BOOL
 Declare Function RegisterWindowMessage Lib "user32" Alias _FuncName_RegisterWindowMessage (pString As PCTSTR) As DWord
 Declare Function ReleaseCapture Lib "user32" () As BOOL
@@ -967,6 +1124,7 @@
 Declare Function RemoveMenu Lib "user32" (hMenu As HMENU, uPosition As DWord, uFlags As DWord) As BOOL
 Declare Function RemoveProp Lib "user32" Alias _FuncName_RemoveProp (hWnd As HWND, pString As PCTSTR) As HANDLE
-Declare Function TranslateMessage Lib "user32" (ByRef lpMsg As MSG) As Long
-Declare Function ScreenToClient Lib "user32" (hWnd As HWND, ByRef lpPoint As POINTAPI) As BOOL
+Declare Function TranslateAccelerator Lib "user32" Alias _FuncName_TranslateAccelerator (hwnd As HWND, hAccTable As HACCEL, ByRef msg As MSG) As Long
+Declare Function TranslateMessage Lib "user32" (ByRef msg As MSG) As Long
+Declare Function ScreenToClient Lib "user32" (hWnd As HWND, ByRef Point As POINTAPI) As BOOL
 Declare Function ScrollDC Lib "user32" (hdc As HDC, dx As Long, dy As Long, ByRef rcScroll As RECT, ByRef rcClip As RECT, hrgnUpdate As HRGN, ByRef rcUpdate As RECT) As BOOL
 
@@ -980,4 +1138,5 @@
 Declare Function SendNotifyMessage Lib "user32" Alias _FuncName_SendNotifyMessage (hWnd As HWND, wMsg As DWord, wParam As WPARAM, lParam As LPARAM) As LRESULT
 Declare Function SetActiveWindow Lib "user32" (hWnd As HWND) As HWND
+Declare Function SetDlgItemInt Lib "user32" (hDlg As HWND, nIDDlgItem As Long, uValue As DWord, bSigned As BOOL) As BOOL
 Declare Function SetDlgItemText Lib "user32" Alias _FuncName_SetDlgItemText (hDlg As HWND, nIDDlgItem As Long, lpString As PCTSTR) As BOOL
 Declare Function SetCapture Lib "user32" (hWnd As HWND) As HWND
@@ -993,4 +1152,5 @@
 
 Declare Function SetClipboardData Lib "user32" (uFormat As DWord, hMem As HANDLE) As HANDLE
+Declare Function SetClipboardViewer Lib "user32" (ByVal hWndNewViewer As HWND) As HWND
 Declare Function SetCursor Lib "user32" (hCursor As HCURSOR) As HCURSOR
 Declare Function SetCursorPos Lib "user32" (x As Long, y As Long) As BOOL
@@ -1005,4 +1165,5 @@
 Declare Function SetParent Lib "user32" (hWndChild As HWND, hWndNewParent As HWND) As HWND
 Declare Function SetProp Lib "user32" Alias _FuncName_SetProp (hWnd As HWND, pString As PCTSTR, hData As HANDLE) As BOOL
+Declare Function SetRect Lib "User32" (ByRef rc As RECT, xLeft As Long, yTop As Long, xRight As Long, yBottom As Long) As Long
 Declare Function SetScrollInfo Lib "user32" (hWnd As HWND, fnBar As Long, ByRef lpsi As SCROLLINFO, bRedraw As Long) As BOOL
 Declare Function SetSysColors Lib "user32" (cElements As Long, lpaElements As *DWord, lpaRgbValues As *DWord) As BOOL
@@ -1012,5 +1173,4 @@
 
 Declare Function SetWindowContextHelpId Lib "user32"(hwnd As HWND, dwContextHelpId As DWord) As BOOL
-
 #ifdef _WIN64
 Declare Function SetWindowLong Lib "user32" Alias _FuncName_SetWindowLongPtr (hWnd As HWND, nIndex As Long, NewLong As LONG_PTR) As LONG_PTR
@@ -1045,4 +1205,5 @@
 
 Declare Function SetWindowRgn Lib "user32" (hWnd As HWND, hRgn As HRGN, bRedraw As BOOL) As BOOL
+Declare Function SetWindowsHookEx Lib "user32" Alias _FuncName_SetWindowsHookEx (idHook As Long, lpfn As HOOKPROC, hMod As HINSTANCE, dwThreadId As DWord) As HHOOK
 Declare Function SetWindowText Lib "user32" Alias _FuncName_SetWindowText (hWnd As HWND, pString As PCTSTR) As BOOL
 Declare Function ShowCaret Lib "user32" (hWnd As HWND) As BOOL
@@ -1267,5 +1428,7 @@
 Declare Function TrackPopupMenu Lib "user32" (hMenu As HMENU, uFlags As DWord, x As Long, y As Long, nReserved As Long, hWnd As HWND, ByRef prcRect As RECT) As BOOL
 
+declare function UnhookWindowsHookEx lib "user32" (ByVal hhk As HHOOK) As BOOL
 Declare Function UnregisterClass Lib "user32" Alias _FuncName_UnregisterClass (pClassName As PCTSTR, hinst As HINSTANCE) As BOOL
+Declare Function UnregisterHotKey Lib "user32" (hwnd As HWND, id As Long) As BOOL
 Declare Function UpdateWindow Lib "user32" (hWnd As HWND) As BOOL
 Declare Function ValidateRect Lib "user32" (hWnd As HWND, ByRef lpRect As RECT) As BOOL