Index: Include/api_imm.sbp
===================================================================
--- Include/api_imm.sbp	(revision 174)
+++ Include/api_imm.sbp	(revision 179)
@@ -116,5 +116,5 @@
 #endif
 
-#if (WINVER >= 0x040A)
+'#if (WINVER >= 0x040A)
 
 Const IMEMENUITEM_STRING_SIZE = 80
@@ -221,10 +221,10 @@
 #endif
 
-Declare Function ImmSetCompositionStringA Lib "imm32" (himc As HIMC, dwIndex As DWord, lpComp As VoidPtr, dwCompLen As DWord, lpRead As VoidPtr, dwReadLen As DWord
-Declare Function ImmSetCompositionStringW Lib "imm32" (himc As HIMC, dwIndex As DWord, lpComp As VoidPtr, dwCompLen As DWord, lpRead As VoidPtr, dwReadLen As DWord
-#ifdef UNICODE
-Declare Function ImmSetCompositionString Lib "imm32" Alias "ImmSetCompositionStringW" (himc As HIMC, dwIndex As DWord, lpComp As VoidPtr, dwCompLen As DWord, lpRead As VoidPtr, dwReadLen As DWord
-#else
-Declare Function ImmSetCompositionString Lib "imm32" Alias "ImmSetCompositionStringA" (himc As HIMC, dwIndex As DWord, lpComp As VoidPtr, dwCompLen As DWord, lpRead As VoidPtr, dwReadLen As DWord
+Declare Function ImmSetCompositionStringA Lib "imm32" (himc As HIMC, dwIndex As DWord, lpComp As VoidPtr, dwCompLen As DWord, lpRead As VoidPtr, dwReadLen As DWord ) As BOOL
+Declare Function ImmSetCompositionStringW Lib "imm32" (himc As HIMC, dwIndex As DWord, lpComp As VoidPtr, dwCompLen As DWord, lpRead As VoidPtr, dwReadLen As DWord ) As BOOL
+#ifdef UNICODE
+Declare Function ImmSetCompositionString Lib "imm32" Alias "ImmSetCompositionStringW" (himc As HIMC, dwIndex As DWord, lpComp As VoidPtr, dwCompLen As DWord, lpRead As VoidPtr, dwReadLen As DWord ) As BOOL
+#else
+Declare Function ImmSetCompositionString Lib "imm32" Alias "ImmSetCompositionStringA" (himc As HIMC, dwIndex As DWord, lpComp As VoidPtr, dwCompLen As DWord, lpRead As VoidPtr, dwReadLen As DWord ) As BOOL
 #endif
 
@@ -260,11 +260,10 @@
 #ifdef _INC_GDI '_WINGDI_
 #ifndef NOGID
-#ifdef UNICODE
 Declare Function ImmGetCompositionFontA Lib "imm32" (hIMC As HIMC, ByRef lf As LOGFONTA) As BOOL
 Declare Function ImmGetCompositionFontW Lib "imm32" (hIMC As HIMC, ByRef lf As LOGFONTW) As BOOL
 #ifdef UNICODE
-Declare Function ImmGetCompositionFont Lib "imm32" Alias "ImmSetCompositionFontW" (hIMC As HIMC, ByRef lf As LOGFONT) As BOOL
-#else
-Declare Function ImmGetCompositionFont Lib "imm32" Alias "ImmSetCompositionFontA" (hIMC As HIMC, ByRef lf As LOGFONT) As BOOL
+Declare Function ImmGetCompositionFont Lib "imm32" Alias "ImmGetCompositionFontW" (hIMC As HIMC, ByRef lf As LOGFONT) As BOOL
+#else
+Declare Function ImmGetCompositionFont Lib "imm32" Alias "ImmGetCompositionFontA" (hIMC As HIMC, ByRef lf As LOGFONT) As BOOL
 #endif
 
@@ -276,5 +275,6 @@
 Declare Function ImmSetCompositionFont Lib "imm32" Alias "ImmSetCompositionFontA" (hIMC As HIMC, ByRef lf As LOGFONT) As Long
 #endif
-#endif
+#endif 'NOGID
+#endif '_INC_GDI
 
 Declare Function ImmConfigureIMEA Lib "imm32" (hkl As HKL, hwnd As HWND, dwMode As DWord, lpData As VoidPtr) As BOOL
@@ -364,9 +364,8 @@
 Declare Function ImmGetImeMenuItemsW Lib "imm32" (himc As HIMC, dwFlags As DWord, dwType As DWord, ByRef ImeParentMenu As IMEMENUITEMINFOW, lpImeMenu As LPIMEMENUITEMINFOW, dwSoze As DWord) As DWord
 #ifdef UNICODE
-Declare Function ImmGetImeMenuItemsW Lib "imm32" Alias "ImmGetImeMenuItemsW" (himc As HIMC, dwFlags As DWord, dwType As DWord, ByRef ImeParentMenu As IMEMENUITEMINFOW, lpImeMenu As LPIMEMENUITEMINFOW, dwSoze As DWord) As DWord
-#else
-Declare Function ImmGetImeMenuItemsA Lib "imm32" Alias "ImmGetImeMenuItemsA" (himc As HIMC, dwFlags As DWord, dwType As DWord, ByRef ImeParentMenu As IMEMENUITEMINFOA, lpImeMenu As LPIMEMENUITEMINFOA, dwSoze As DWord) As DWord
-#endif
-Declare Function ImmGetImeMenuItems Lib "imm32" (himc As HIMC, dwFlags As DWord, dwType As DWord, ByRef ImeParentMenu As IMEMENUITEMINFO, lpImeMenu As LPIMEMENUITEMINFO, dwSize As DWord) As DWord
+Declare Function ImmGetImeMenuItems Lib "imm32" Alias "ImmGetImeMenuItemsW" (himc As HIMC, dwFlags As DWord, dwType As DWord, ByRef ImeParentMenu As IMEMENUITEMINFOW, lpImeMenu As LPIMEMENUITEMINFOW, dwSoze As DWord) As DWord
+#else
+Declare Function ImmGetImeMenuItems Lib "imm32" Alias "ImmGetImeMenuItemsA" (himc As HIMC, dwFlags As DWord, dwType As DWord, ByRef ImeParentMenu As IMEMENUITEMINFOA, lpImeMenu As LPIMEMENUITEMINFOA, dwSoze As DWord) As DWord
+#endif
 Declare Function ImmDisableTextFrameService(idThread As DWord) As BOOL
 